FIXINCLUDES(1)

NAMN
fixincludes - Reducera antalet #include i KDE-källkodsfiler

SYNOPSIS

fixincludes [-v, --verbose] [-e, --experimental] [-m, --modify] [fil] [--help]

BESKRIVNING

fixincludes försöker reducera antalet #include i C++ källkodsfiler. Det mesta av dess behandling är specifik för KDE-källkod, och kanske inte fungerar så bra med källkod för program utanför KDE.

Följande problem identifieras av fixincludes:

    • Inkluderade deklarationsfiler som inte längre stöds men som finns för att fungera ihop med äldre Qt- och KDE-versioner.

    • Inkludering av samma fil flera gånger.

Det finns också ett experimentellt läge som försöker ta bort varje #include en i taget (med några oviktiga undantag) för att se om källkoden fortfarande kan kompileras. Observera ett detta experimentella läge ändrar ursprunglig källkod.

Normalt ändras inte källkoden. De identifierade problemen skrivs helt enkelt ut på standardutmatningen.

Listan med C++ filer att undersöka ska anges på kommandoraden. Om inga filer anges, undersöks all C++ källkod i eller under nuvarande katalog (med undantag av kataloger vars Makefile.am innehåller UQT_NO_COMPAT eller -UKDE_NO_COMPAT).

Verktyget är en del av KDE:s programvaruutvecklingsmiljö.

VÄLJARE

-v, --verbose
    Informativt läge. Ytterligare felsökningsutmatning skrivs ut på standardutmatningen.

-e, --experimental
    Experimentellt läge, som beskrivet ovan med fler detaljer. Observera att väljaren också betyder --modify.

-m, --modify
    Förutom att skriva meddelanden på standardutmatningen, ändra verkligen den ursprungliga källkoden för att rätta eventuella problem som hittades.

UPPHOVSMÄN

fixincludes är skrivet av Dirk Mueller mueller@kde.org.

AUTHOR

Ben Burton <bab@debian.org>
    Author.